<div>
  <h2 id="page-heading" data-cy="OrderKerjaHeading">
    <span>Order Kerjas</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-order-kerja"
        [routerLink]="['/order-kerja/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Order Kerja</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (orderKerjas?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Order Kerjas found</span>
    </div>
  }

  @if (orderKerjas && orderKerjas.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nomor">
              <div class="d-flex">
                <span>Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kategori">
              <div class="d-flex">
                <span>Kategori</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggalTerima">
              <div class="d-flex">
                <span>Tanggal Terima</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jumlahAkta">
              <div class="d-flex">
                <span>Jumlah Akta</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jumlahCancel">
              <div class="d-flex">
                <span>Jumlah Cancel</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jumlahCetakAkta">
              <div class="d-flex">
                <span>Jumlah Cetak Akta</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="uploadFile">
              <div class="d-flex">
                <span>Upload File</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="statusSigned">
              <div class="d-flex">
                <span>Status Signed</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="approveBy">
              <div class="d-flex">
                <span>Approve By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="approveOn">
              <div class="d-flex">
                <span>Approve On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skSubtitusi.id">
              <div class="d-flex">
                <span>Sk Subtitusi</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="notaris.id">
              <div class="d-flex">
                <span>Notaris</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="penerimaKuasa.id">
              <div class="d-flex">
                <span>Penerima Kuasa</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (orderKerja of orderKerjas; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/order-kerja', orderKerja.id, 'view']">{{ orderKerja.id }}</a>
              </td>
              <td>{{ orderKerja.nomor }}</td>
              <td>{{ orderKerja.tanggal | formatMediumDate }}</td>
              <td>{{ orderKerja.kategori }}</td>
              <td>{{ orderKerja.tanggalTerima | formatMediumDate }}</td>
              <td>{{ orderKerja.jumlahAkta }}</td>
              <td>{{ orderKerja.jumlahCancel }}</td>
              <td>{{ orderKerja.jumlahCetakAkta }}</td>
              <td>{{ orderKerja.uploadFile }}</td>
              <td>{{ orderKerja.status }}</td>
              <td>{{ orderKerja.statusSigned }}</td>
              <td>{{ orderKerja.updateBy }}</td>
              <td>{{ orderKerja.updateOn | formatMediumDatetime }}</td>
              <td>{{ orderKerja.approveBy }}</td>
              <td>{{ orderKerja.approveOn | formatMediumDatetime }}</td>
              <td>
                @if (orderKerja.skSubtitusi) {
                  <div>
                    <a [routerLink]="['/sk-subtitusi', orderKerja.skSubtitusi.id, 'view']">{{ orderKerja.skSubtitusi.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderKerja.notaris) {
                  <div>
                    <a [routerLink]="['/notaris', orderKerja.notaris.id, 'view']">{{ orderKerja.notaris.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderKerja.penerimaKuasa) {
                  <div>
                    <a [routerLink]="['/penerima-kuasa', orderKerja.penerimaKuasa.id, 'view']">{{ orderKerja.penerimaKuasa.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/order-kerja', orderKerja.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/order-kerja', orderKerja.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(orderKerja)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (orderKerjas && orderKerjas.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
